Subject: bug#59587: 28.2; gnus does not retrieve emails sent from another device

From: Waleed Yousef <[email-masked]>
Date: Wed, 30 Nov 2022 15:47:58 -0800

Thanks so much for your reply. After I read your reply, I did several experiments and found that the problem does not happen (that is, Gnus pulls the sent messages) if I send from the webmail interface of a pop3 email, e.g., using chrome to send from my gmail account. In that case Gnus will pull the sent email. However, if the email is sent from my iphone (whether IMAP or pop3 account) or even from a webmail interface of an IMAP account, Gnus does not pull the sent email although the email is indeed saved in the sent box (I go online and check).

Eric Abrahamsen <[email-masked]> writes:

> Waleed Yousef <[email-masked]> writes:
>
>> I am not sure whether I sent a similar ticket before or not!
>>
>> I used to have the following desired behaviour with Gnus: when I send an
>> email from my phone to someone, gnus pulls this email when it checks the
>> emails. However, now this behaviour unfortunately is no longer
>> persistent. Gnus does not pulls an email that was sent from other
>> devices connected to the same account!
>
> We'd need a lot more information than this to figure out the problem.
> What kind of mail account is this (IMAP, something else?) and how are
> you sending emails from your phone? Did the email used to show up in a
> "Sent" folder, or where are you expecting them to appear? Is it possible
> that Gnus is pulling the emails, but they're marked as read so they
> don't display by default?
>
> My first guess is that your phone client used to save outgoing mails,
> but has either stopped doing that, or saves them in a different place
> now.
>
> Eric